
#define TIMER_OVERFLOW0 SIGNAL(SIG_OVERFLOW0)
#define TIMER_OVERFLOW1 SIGNAL(SIG_OVERFLOW1)

#define TIMER_CLK_OFF  0
#define TIMER_CLK      1
#define TIMER_CLK_8    2
#define TIMER_CLK_64   3
#define TIMER_CLK_256  4
#define TIMER_CLK_1024 5
#define TIMER_T0       6
#define TIMER_T0R      7


void Timer0_Init(unsigned int prescaler) {
	// enable overflow
	TIMSK = (1<<TOIE0);
	// reset TCNT0
	TCNT0 = 0;
	// selecting Clock-Source (cpu-clock/1024)
	TCCR0 = prescaler;
	sei();                   /* enable timers */
}



