
// void PWM_test(void) {
// 	DDRB = _BV(PB1) | _BV(PB2);
// 	PORTB = ~_BV(PB1) & ~_BV(PB2);
// 	unsigned char i = 0;
// 	PWM_Init();
// 	for (;;) {
// 		for (i=0; i<254; i++) {
// 			PWM_Set_1a(i);
// 			PWM_Set_1b(i);
// 			_delay_ms(1000);
// 		}
// 	}
// }

void PWM_Init(void) {
	TCCR1A =  _BV(WGM10) | _BV(COM1A1) | _BV(COM1A0) |_BV(COM1B1) | _BV(COM1B0); //8bit PWM, phase correct
	TCCR1B = _BV(CS10) | _BV(CS12) | _BV(WGM12);   //MCU clock / 1024
}

void PWM_Set_1a(unsigned char value) {
	OCR1A = value * -1 + 255;
}

void PWM_Set_1b(unsigned char value) {
	OCR1B = value * -1 + 255;
}

